---
apiVersion: v1
items:
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.130.0.21/23"],"mac_address":"7a:be:ac:82:00:16","gateway_ips":["10.130.0.1"],"ip_address":"10.130.0.21/23","gateway_ip":"10.130.0.1"}}'
      k8s.v1.cni.cncf.io/network-status: |-
        [{
            "name": "ovn-kubernetes",
            "interface": "eth0",
            "ips": [
                "10.130.0.21"
            ],
            "mac": "7a:be:ac:82:00:16",
            "default": true,
            "dns": {}
        }]
      k8s.v1.cni.cncf.io/networks-status: |-
        [{
            "name": "ovn-kubernetes",
            "interface": "eth0",
            "ips": [
                "10.130.0.21"
            ],
            "mac": "7a:be:ac:82:00:16",
            "default": true,
            "dns": {}
        }]
      openshift.io/scc: restricted
    creationTimestamp: "2020-05-26T14:24:06Z"
    generateName: cluster-samples-operator-877b5977f-
    labels:
      name: cluster-samples-operator
      pod-template-hash: 877b5977f
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:name: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"470dde51-83b6-4b4b-aaef-3f8df55968bd"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:containers:
            k:{"name":"cluster-samples-operator"}:
              .: {}
              f:command: {}
              f:env:
                .: {}
                k:{"name":"IMAGE_AGENT_MAVEN"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"IMAGE_AGENT_NODEJS"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"IMAGE_JENKINS"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"OPERATOR_NAME"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"RELEASE_VERSION"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"WATCH_NAMESPACE"}:
                  .: {}
                  f:name: {}
                  f:valueFrom:
                    .: {}
                    f:fieldRef:
                      .: {}
                      f:apiVersion: {}
                      f:fieldPath: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:name: {}
              f:ports:
                .: {}
                k:{"containerPort":60000,"protocol":"TCP"}:
                  .: {}
                  f:containerPort: {}
                  f:name: {}
                  f:protocol: {}
              f:resources:
                .: {}
                f:requests:
                  .: {}
                  f:cpu: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
              f:volumeMounts:
                .: {}
                k:{"mountPath":"/etc/secrets"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
            k:{"name":"cluster-samples-operator-watch"}:
              .: {}
              f:args: {}
              f:command: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:name: {}
              f:resources:
                .: {}
                f:requests:
                  .: {}
                  f:cpu: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
          f:dnsPolicy: {}
          f:enableServiceLinks: {}
          f:nodeSelector:
            .: {}
            f:node-role.kubernetes.io/master: {}
          f:priorityClassName: {}
          f:restartPolicy: {}
          f:schedulerName: {}
          f:securityContext: {}
          f:serviceAccount: {}
          f:serviceAccountName: {}
          f:shareProcessNamespace: {}
          f:terminationGracePeriodSeconds: {}
          f:tolerations: {}
          f:volumes:
            .: {}
            k:{"name":"samples-operator-tls"}:
              .: {}
              f:name: {}
              f:secret:
                .: {}
                f:defaultMode: {}
                f:secretName: {}
      manager: kube-controller-manager
      operation: Update
      time: "2020-05-26T14:24:06Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:k8s.ovn.org/pod-networks: {}
      manager: ovnkube
      operation: Update
      time: "2020-05-26T14:24:06Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:k8s.v1.cni.cncf.io/network-status: {}
            f:k8s.v1.cni.cncf.io/networks-status: {}
      manager: multus
      operation: Update
      time: "2020-05-26T14:24:09Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            k:{"type":"ContainersReady"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Initialized"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Ready"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
          f:containerStatuses: {}
          f:hostIP: {}
          f:phase: {}
          f:podIP: {}
          f:podIPs:
            .: {}
            k:{"ip":"10.130.0.21"}:
              .: {}
              f:ip: {}
          f:startTime: {}
      manager: kubelet
      operation: Update
      time: "2020-05-26T14:24:15Z"
    name: cluster-samples-operator-877b5977f-785gn
    namespace: openshift-cluster-samples-operator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: cluster-samples-operator-877b5977f
      uid: 470dde51-83b6-4b4b-aaef-3f8df55968bd
    resourceVersion: "13303"
    selfLink: /api/v1/namespaces/openshift-cluster-samples-operator/pods/cluster-samples-operator-877b5977f-785gn
    uid: 319ed8c4-0800-4472-9f8f-337add502e20
  spec:
    containers:
    - command:
      - cluster-samples-operator
      env:
      - name: WATCH_NAMESPACE
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.namespace
      - name: OPERATOR_NAME
        value: cluster-samples-operator
      - name: RELEASE_VERSION
        value: 0.0.1-2020-05-26-050349
      - name: IMAGE_JENKINS
        value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:9d262f3c703325252f699f8982fd931bbd90a076f741337916e1f5df19a3c7af
      - name: IMAGE_AGENT_NODEJS
        value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:90c2764fc09f257fc30cb789dcd77c15530980d524391cd8a8296a850d69bc0a
      - name: IMAGE_AGENT_MAVEN
        value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:8d16b8a1895fcb3f2e4f15c62ad15e5f92aa448deff1dabce242c6cd40d169f1
      image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:4f84c375a2ebc62b282eed63fbe86c2e24381182b71634982ab3f88e35726e5f
      imagePullPolicy: IfNotPresent
      name: cluster-samples-operator
      ports:
      - containerPort: 60000
        name: metrics
        protocol: TCP
      resources:
        requests:
          cpu: 10m
      securityContext:
        capabilities:
          drop:
          - KILL
          - MKNOD
          - SETGID
          - SETUID
        runAsUser: 1000060000
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeMounts:
      - mountPath: /etc/secrets
        name: samples-operator-tls
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: cluster-samples-operator-token-4rn76
        readOnly: true
    - args:
      - --namespace=openshift-cluster-samples-operator
      - --process-name=cluster-samples-operator
      - --termination-grace-period=30s
      - --files=/etc/secrets/tls.crt,/etc/secrets/tls.key
      command:
      - cluster-samples-operator-watch
      - file-watcher-watchdog
      image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:4f84c375a2ebc62b282eed63fbe86c2e24381182b71634982ab3f88e35726e5f
      imagePullPolicy: IfNotPresent
      name: cluster-samples-operator-watch
      resources:
        requests:
          cpu: 10m
      securityContext:
        capabilities:
          drop:
          - KILL
          - MKNOD
          - SETGID
          - SETUID
        runAsUser: 1000060000
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeMounts:
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: cluster-samples-operator-token-4rn76
        readOnly: true
    dnsPolicy: ClusterFirst
    enableServiceLinks: true
    imagePullSecrets:
    - name: cluster-samples-operator-dockercfg-mm25b
    nodeName: ip-10-0-134-165.ec2.internal
    nodeSelector:
      node-role.kubernetes.io/master: ""
    priority: 2000000000
    priorityClassName: system-cluster-critical
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext:
      fsGroup: 1000060000
      seLinuxOptions:
        level: s0:c8,c2
    serviceAccount: cluster-samples-operator
    serviceAccountName: cluster-samples-operator
    shareProcessNamespace: true
    terminationGracePeriodSeconds: 30
    tolerations:
    - effect: NoSchedule
      key: node-role.kubernetes.io/master
      operator: Exists
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 120
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 120
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - name: samples-operator-tls
      secret:
        defaultMode: 420
        secretName: samples-operator-tls
    - name: cluster-samples-operator-token-4rn76
      secret:
        defaultMode: 420
        secretName: cluster-samples-operator-token-4rn76
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2020-05-26T14:24:06Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2020-05-26T14:24:15Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2020-05-26T14:24:15Z"
      status: "True"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2020-05-26T14:24:06Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - containerID: cri-o://b4a89ee9ed750a0b336940cf936d7c9793c9eaa6a78eb505e74c3bb36a8243b0
      image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:4f84c375a2ebc62b282eed63fbe86c2e24381182b71634982ab3f88e35726e5f
      imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:4f84c375a2ebc62b282eed63fbe86c2e24381182b71634982ab3f88e35726e5f
      lastState: {}
      name: cluster-samples-operator
      ready: true
      restartCount: 0
      started: true
      state:
        running:
          startedAt: "2020-05-26T14:24:14Z"
    - containerID: cri-o://2f6ab74687909d7b3714a6157606e981cff2d4bf02cf50680d8316304f996052
      image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:4f84c375a2ebc62b282eed63fbe86c2e24381182b71634982ab3f88e35726e5f
      imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:4f84c375a2ebc62b282eed63fbe86c2e24381182b71634982ab3f88e35726e5f
      lastState: {}
      name: cluster-samples-operator-watch
      ready: true
      restartCount: 0
      started: true
      state:
        running:
          startedAt: "2020-05-26T14:24:14Z"
    hostIP: 10.0.134.165
    phase: Running
    podIP: 10.130.0.21
    podIPs:
    - ip: 10.130.0.21
    qosClass: Burstable
    startTime: "2020-05-26T14:24:06Z"
kind: PodList
metadata:
  resourceVersion: "54344"
  selfLink: /api/v1/namespaces/openshift-cluster-samples-operator/pods
